@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');


* {
    box-sizing: border-box;
    font-family: 'Press Start 2P', cursive;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100vw;
    background-color: #111;
    margin: 0;
    padding: 0
}

.game-area {
    position: relative;
    display: inline-block;
}

.game-interface {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 100%;
    padding: 20px;
}
.health-bar {
    background-color: red;
    height: 30px;
}
#player-health--area {
    position: relative; 
    width: 100%; 
    display: flex; 
    justify-content: flex-end;
    border-top: 4px solid #FFF;
    border-left: 4px solid #FFF;
    border-bottom: 4px solid #FFF;
    border-radius: 2px;
}
#player-health--area .health-bar {
    width: 100%;
}
#player-health--area #playerHealth {
    position: absolute; 
    background-color: #818CF8; 
    width: 100%;
    top: 0; right: 0; bottom: 0;
}
#enemy-health--area {
    border-top: 4px solid #FFF;
    border-right: 4px solid #FFF;
    border-bottom: 4px solid #FFF;
    border-radius: 2px;
    position: relative; 
    width: 100%; 
}
#enemy-health--area #enemyHealth {
    position: absolute; 
    background-color: #818CF8; 
    top: 0; left: 0; right: 0; bottom: 0;
}

.timer {
    display: flex;
    align-items: center;
    justify-content: center;
    justify-content: center;
    background-color: #111;
    height: 70px;
    width: 100px;
    flex-shrink: 0;
    border-radius: 10px;
    color: white;
    font-weight: bold;
    font-size: 20px;
    border: 1px solid #888;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.winner-text {
    display: none;
    align-items: center;
    justify-content: center;
    position: absolute;
    color: #FFF;
    font-size: 30px;
    font-weight: bold;
    top: 0; left: 0; right: 0; bottom: 0;
}

/* style="background-color: yellow; height: 30px; width: 100px;" */

/* style="background-color: red; height: 100px; width: 100px;" */